package dev.micle.totemofreviving.item.crafting;

import dev.micle.totemofreviving.item.charge.ChargeItem;
import dev.micle.totemofreviving.setup.ModRecipes;
import net.minecraft.world.inventory.CraftingContainer;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.crafting.RecipeSerializer;
import net.minecraft.world.item.crafting.ShapedRecipe;
import net.minecraft.world.level.Level;

public class ChargeRecipe extends ExtendedShapedRecipe {
	public ChargeRecipe(ShapedRecipe recipe) {
		super(recipe);
	}
	
	@Override
	public RecipeSerializer<?> getSerializer() {
		return ModRecipes.CHARGE_RECIPE.get();
	}
	
	@Override
	public boolean matches(CraftingContainer inventory, Level world) {
		if (!ChargeItem.isEnabled(getResultItem())) {
			return false;
		}
		return getBaseRecipe().matches(inventory, world);
	}
	
	@Override
	public ItemStack assemble(CraftingContainer inventory) {
		return getBaseRecipe().getResultItem();
	}
}
